/*
** Module   : tty.js
** Abstract : java script terminal simulator.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------Description--------------------------
** 001 MAG 20140110 First version.
*/

/**
*  Initialize all JavaSscript submodules.
*  The order of initialization is mandatory:
*  tty.sound, tty.screen, tty.socket and tty.keyboard
*/
tty = (function()
{
   /* exports object */
   var my = {};
   
   /* initialize modules */
   my.init = function(cfg)
   {
      tty.sound.init(cfg);
      tty.screen.init(cfg);
      tty.socket.init(cfg);
      tty.keyboard.init();
   };

   /* exports */
   return my;    
}());
